---

- name: Install base packages
  apt: name={{item}} state=installed default_release={{ansible_distribution_release}}-backports
  with_items:
    - build-essential
    - vim
    - exuberant-ctags
    - tmux
  tags: packages, install

- name: Install GUI packages
  when: gui.enabled
  apt: name={{item}} state=installed default_release={{ansible_distribution_release}}-backports
  with_items:
    - i3
    - vim-gtk
    - iceweasel
    - fonts-dejavu-extra
    - fonts-opensymbol
    - scrot
  tags: packages, install

- name: Install Extra packages
  apt: name={{item}} state=installed
  with_items: "{{extra_packages}}"
  tags: packages, install


- name: Set default X session in lightdm
  when: gui.enabled and gui.session
  ini_file:
    dest: /etc/lightdm/lightdm.conf
    section: SeatDefaults
    option: user-session
    value: "{{gui.session}}"
    backup: true
  notify:
  - restart lightdm

